Summary:	Utility for the squashfs filesystems
Name:		squashfs-tools
Version:	4.5.1
Release:	3%{?dist}
License:	GPLv2+
URL:		https://github.com/plougher/squashfs-tools
Source0:	https://github.com/plougher/squashfs-tools/archive/refs/tags/%%{name}-4.5.1.tar.gz

BuildRequires:	make gcc zlib-devel xz-devel lzo-devel libattr-devel lz4-devel libzstd-devel help2man 

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%prep
%autosetup -n squashfs-tools-%{version}

%build
pushd squashfs-tools
CFLAGS="%{optflags}" XZ_SUPPORT=1 LZO_SUPPORT=1 LZMA_XZ_SUPPORT=1 LZ4_SUPPORT=1 ZSTD_SUPPORT=1 make

%install
pushd squashfs-tools
make INSTALL_PREFIX=%{buildroot}/usr INSTALL_DIR=%{buildroot}%{_sbindir} INSTALL_MANPAGES_DIR=%{buildroot}%{_mandir}/man1 install

%files
%doc ACKNOWLEDGEMENTS README-4.5.1 CHANGES COPYING USAGE ACTIONS-README
%{_mandir}/man1/*
%{_sbindir}/{mksquashfs,unsquashfs,sqfstar,sqfscat}

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jun 23 2022 Songqiao Tao <joeytao@tencent.com> - 4.5.1-1
- initial build
